Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
log4cxx_private.h File Reference

## Macros
#define | LOG4CXX_RETURN_AFTER_THROW 0
#define | LOG4CXX_HAS_STD_LOCALE 1
#define | LOG4CXX_FORCE_WIDE_CONSOLE 0
#define | LOG4CXX_FORCE_BYTE_CONSOLE 0
#define | LOG4CXX_MEMSET_IOS_BASE 0
#define | LOG4CXX_HAVE_ODBC 0
#define | LOG4CXX_HAS_MBSRTOWCS 1
#define | LOG4CXX_HAS_WCSTOMBS 1
#define | LOG4CXX_HAS_FWIDE 1
#define | LOG4CXX_CHARSET_UTF8 0
#define | LOG4CXX_CHARSET_ISO88591 0
#define | LOG4CXX_CHARSET_USASCII 0
#define | LOG4CXX_CHARSET_EBCDIC 0
#define | LOG4CXX_HAVE_LIBESMTP 0
#define | LOG4CXX_HAVE_SYSLOG 1
#define | LOG4CXX_WIN32_THREAD_FMTSPEC "0x%.8x"
#define | LOG4CXX_APR_THREAD_FMTSPEC "0x%pt"

## Macro Definition Documentation

#define LOG4CXX_APR_THREAD_FMTSPEC "0x%pt"

#define LOG4CXX_CHARSET_EBCDIC 0

#define LOG4CXX_CHARSET_ISO88591 0

#define LOG4CXX_CHARSET_USASCII 0

#define LOG4CXX_CHARSET_UTF8 0

#define LOG4CXX_FORCE_BYTE_CONSOLE 0

#define LOG4CXX_FORCE_WIDE_CONSOLE 0

#define LOG4CXX_HAS_FWIDE 1

#define LOG4CXX_HAS_MBSRTOWCS 1

#define LOG4CXX_HAS_STD_LOCALE 1

#define LOG4CXX_HAS_WCSTOMBS 1

#define LOG4CXX_HAVE_LIBESMTP 0

#define LOG4CXX_HAVE_ODBC 0

#define LOG4CXX_HAVE_SYSLOG 1

#define LOG4CXX_MEMSET_IOS_BASE 0

#define LOG4CXX_RETURN_AFTER_THROW 0

#define LOG4CXX_WIN32_THREAD_FMTSPEC "0x%.8x"